TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.connections.directoryProvisioning.deleteSynchronizedGroupSelections("id", {
groups: [
{
id: "id",
},
],
});
}
main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.connections.directoryProvisioning.deleteSynchronizedGroupSelections("id", {
groups: [
{
id: "id",
},
],
});
}
main();
package example
import (
context "context"
management "github.com/auth0/go-auth0/v3/management"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &management.DeleteSynchronizedGroupsRequestContent{
Groups: []*management.SynchronizedGroupSelectionID{
&management.SynchronizedGroupSelectionID{
ID: "id",
},
},
}
mgmt.Connections.DirectoryProvisioning.DeleteSynchronizedGroupSelections(
context.TODO(),
"id",
request,
)
}
# Ensure you're logged in: auth0 login
auth0 api delete "connections/id/directory-provisioning/synchronized-groups" --data '{
"groups": [
{
"id": "id"
}
]
}' --forceusing Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Connections;
using System.Collections.Generic;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.Connections.DirectoryProvisioning.DeleteSynchronizedGroupSelectionsAsync(
id: "id",
request: new DeleteSynchronizedGroupsRequestContent {
Groups = new List<SynchronizedGroupSelectionId>(){
new SynchronizedGroupSelectionId {
Id = "id"
},
}
}
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.connections.types.DeleteSynchronizedGroupsRequestContent;
import com.auth0.client.mgmt.types.SynchronizedGroupSelectionId;
import java.util.Arrays;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.connections().directoryProvisioning().deleteSynchronizedGroupSelections(
"id",
DeleteSynchronizedGroupsRequestContent
.builder()
.groups(
Arrays.asList(
SynchronizedGroupSelectionId
.builder()
.id("id")
.build()
)
)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\Connections\DirectoryProvisioning\Requests\DeleteSynchronizedGroupsRequestContent;
use Auth0\SDK\API\Management\Types\SynchronizedGroupSelectionId;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->connections->directoryProvisioning->deleteSynchronizedGroupSelections(
'id',
new DeleteSynchronizedGroupsRequestContent([
'groups' => [
new SynchronizedGroupSelectionId([
'id' => 'id',
]),
],
]),
);
from auth0.management import ManagementClient, SynchronizedGroupSelectionId
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.connections.directory_provisioning.delete_synchronized_group_selections(
id="id",
groups=[
SynchronizedGroupSelectionId(
id="id",
)
],
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.connections.directory_provisioning.delete_synchronized_group_selections(
id: "id",
groups: [{
id: "id"
}]
)
curl --request DELETE \
--url https://{tenantDomain}/api/v2/connections/{id}/directory-provisioning/synchronized-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groups": [
{
"id": "<string>"
}
]
}
'Delete synchronized group selections for a directory provisioning configuration
Delete synchronized group selections for a directory provisioning configuration
DELETE
https://{tenantDomain}/api/v2
/
connections
/
{id}
/
directory-provisioning
/
synchronized-groups
TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.connections.directoryProvisioning.deleteSynchronizedGroupSelections("id", {
groups: [
{
id: "id",
},
],
});
}
main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.connections.directoryProvisioning.deleteSynchronizedGroupSelections("id", {
groups: [
{
id: "id",
},
],
});
}
main();
package example
import (
context "context"
management "github.com/auth0/go-auth0/v3/management"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &management.DeleteSynchronizedGroupsRequestContent{
Groups: []*management.SynchronizedGroupSelectionID{
&management.SynchronizedGroupSelectionID{
ID: "id",
},
},
}
mgmt.Connections.DirectoryProvisioning.DeleteSynchronizedGroupSelections(
context.TODO(),
"id",
request,
)
}
# Ensure you're logged in: auth0 login
auth0 api delete "connections/id/directory-provisioning/synchronized-groups" --data '{
"groups": [
{
"id": "id"
}
]
}' --forceusing Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Connections;
using System.Collections.Generic;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.Connections.DirectoryProvisioning.DeleteSynchronizedGroupSelectionsAsync(
id: "id",
request: new DeleteSynchronizedGroupsRequestContent {
Groups = new List<SynchronizedGroupSelectionId>(){
new SynchronizedGroupSelectionId {
Id = "id"
},
}
}
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.connections.types.DeleteSynchronizedGroupsRequestContent;
import com.auth0.client.mgmt.types.SynchronizedGroupSelectionId;
import java.util.Arrays;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.connections().directoryProvisioning().deleteSynchronizedGroupSelections(
"id",
DeleteSynchronizedGroupsRequestContent
.builder()
.groups(
Arrays.asList(
SynchronizedGroupSelectionId
.builder()
.id("id")
.build()
)
)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\Connections\DirectoryProvisioning\Requests\DeleteSynchronizedGroupsRequestContent;
use Auth0\SDK\API\Management\Types\SynchronizedGroupSelectionId;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->connections->directoryProvisioning->deleteSynchronizedGroupSelections(
'id',
new DeleteSynchronizedGroupsRequestContent([
'groups' => [
new SynchronizedGroupSelectionId([
'id' => 'id',
]),
],
]),
);
from auth0.management import ManagementClient, SynchronizedGroupSelectionId
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.connections.directory_provisioning.delete_synchronized_group_selections(
id="id",
groups=[
SynchronizedGroupSelectionId(
id="id",
)
],
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.connections.directory_provisioning.delete_synchronized_group_selections(
id: "id",
groups: [{
id: "id"
}]
)
curl --request DELETE \
--url https://{tenantDomain}/api/v2/connections/{id}/directory-provisioning/synchronized-groups \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"groups": [
{
"id": "<string>"
}
]
}
'Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the connection to delete synchronized group selections for
Body
application/jsonapplication/x-www-form-urlencoded
Array of groups to remove from the selection set.
Minimum array length:
1Show child attributes
Show child attributes
Response
No Content